\i Infrastructure-TestHeader.sql

\echo '$Id: 1-basic-WriteInsAliases-AbsenteeBySpecialPrecinct.sql 452 2008-01-09 14:24:56Z dflater $'
\echo
\echo 'Small 1-of-M contest with write-ins, aliases, absentee ballots via'
\echo 'a special precinct and ballot style.'
\echo 'Ballot styles:  2'
\echo 'Reporting contexts:  3'

\i Infrastructure-VoteSchema.sql

insert into ReportingContext values
  ('Precinct 1'),
  ('Absentee Precinct'),
  ('Jurisdiction');

insert into Contest (ContestId, Description, CountingLogic, N,
                     MaxWriteIns, Rotate) values
  (1, 'President, vote for at most 1', 'N-of-M', 1, 1, false);

insert into Choice (ChoiceId, ContestId, Name, IsWriteIn) values
  (0,  1, 'Nada Zayro', false),
  (1,  1, 'Oona Won', false),
  (2,  1, 'Beeso Tu', false),
  (3,  1, 'Tayra Tree', false),
  (4,  1, 'Car Tay Fower', false),
  (5,  1, 'OONA WON ALIAS', true),
  (6,  1, 'BEESO TU ALIAS', true),
  (7,  1, 'TAYRA TREE ALIAS', true);

insert into BallotStyle (StyleId, Name) values
  (1, 'Precinct 1 Style'),
  (2, 'Absentee Style');

insert into BallotStyleContestAssociation (StyleId, ContestId) values
  (1, 1),
  (2, 1);

insert into BallotStyleReportingContextAssociation (StyleId,
						    ReportingContext) values
  (1, 'Precinct 1'),
  (1, 'Jurisdiction'),
  (2, 'Absentee Precinct'),
  (2, 'Jurisdiction');

insert into Ballot (BallotId, StyleId, Accepted) values
  (0, 1, true),
  (1, 2, true),
  (2, 1, true),
  (3, 2, true),
  (4, 1, true),
  (5, 2, true),
  (6, 1, true),
  (7, 1, true),
  (8, 1, true),
  (9, 1, true),
  (10, 1, true),
  (11, 1, true);

insert into VoterInput (BallotId, ChoiceId, Value) values
  (1, 5, 1),
  (2, 2, 1),
  (3, 6, 1),
  (4, 7, 1),
  (5, 3, 1),
  (6, 3, 1),
  (7, 4, 1),
  (8, 4, 1),
  (9, 4, 1),
  (10, 4, 1),
  (11, 0, 1),
  (11, 1, 1);

\echo
\echo '-----------------------------------------------------------------------'
\echo '                          BEFORE RECONCILIATION'
\echo '-----------------------------------------------------------------------'
\echo
\i Infrastructure-TestHook.sql
\i Infrastructure-IntegrityChecks.sql
\! ReportGenerator/ReportGenerator "Precinct 1" "Absentee Precinct" "Jurisdiction"


insert into Alias (AliasId, ChoiceId) values
  (5, 1),
  (6, 2),
  (7, 3);

\echo
\echo '-----------------------------------------------------------------------'
\echo '                          AFTER RECONCILIATION'
\echo '-----------------------------------------------------------------------'
\echo
\i Infrastructure-IntegrityChecks.sql
\! ReportGenerator/ReportGenerator "Precinct 1" "Absentee Precinct" "Jurisdiction"

\i Infrastructure-TestFooter.sql
